Bug 1406869 - Pacemaker is not enabled by default in overcloud HA deployment
Summary: Pacemaker is not enabled by default in overcloud HA deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Michele Baldessari
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-21 17:16 UTC by Marius Cornea
Modified: 2017-05-17 19:52 UTC (History)
18 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.20170120220935.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1348188
Environment:
Last Closed: 2017-05-17 19:52:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Comment 1 Marius Cornea 2016-12-21 17:18:11 UTC
[stack@undercloud-0 ~]$ grep OS::TripleO::Services::Pacemaker /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.j2.yaml
  OS::TripleO::Services::Pacemaker: OS::Heat::None

[stack@undercloud-0 ~]$ rpm -qa | grep tripleo-heat-templates
openstack-tripleo-heat-templates-6.0.0-0.20161130195427.9cd0c5a.el7ost.noarch

Comment 2 Michele Baldessari 2016-12-23 14:09:07 UTC
I think a sensible plan here is to add a downstream only change of the defaults (as we did in the past) to fix this issue in the meantime. I will also start a discussion upstream around this so hopefully we can default to that for the future.

For the downstream-only though I would need a rhos-11-patches branch created for tht. Setting needinfo on Mike to see if this can be done

Comment 5 Carlos Camacho 2017-01-13 17:35:34 UTC
Hey Marius, can we test this?

Comment 6 Marius Cornea 2017-01-13 17:57:05 UTC
(In reply to Carlos Camacho from comment #5)
> Hey Marius, can we test this?

Hey Carlos! Sure we can but if I understand it correctly there is also an upstream patch https://review.openstack.org/359060 which enables pacemaker by default so it's not clear to me if we should test the downstream patch attached to this BZ or the upstream one. Please let me know. Thanks!

Comment 7 Carlos Camacho 2017-01-16 08:55:14 UTC
Hey Marius, yeahp I think the upstream patch will be merged soon, I already tested the downstream fix, but I think won't be needed.

Comment 8 Michele Baldessari 2017-01-19 18:45:26 UTC
Carlos,

since there seems to be quite a bit of CI wrangling to be done upstream to get it in and I am not yet sure I will find the time, can we in the meantime merge the downstream patch (aka remove the -2 from the review) and if we manage the upstream patch then we can talk to mburns and get this downstream one dropped. If we won't make the cut then we're already set. What do you think?

thanks,
Michele

Comment 9 Carlos Camacho 2017-01-23 08:01:44 UTC
Hey Michele, you are right there, +2ed.

Comment 10 Michele Baldessari 2017-01-23 22:18:54 UTC
Downstream changed merged. I will ping Mike should we manage to do it upstream as well before release time

Comment 17 Udi Shkalim 2017-02-20 12:24:33 UTC
Verified: openstack-tripleo-heat-templates-6.0.0-0.20170214010958.el7ost.noarch

Comment 18 errata-xmlrpc 2017-05-17 19:52:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.